// Copyright (C) 2011 Helmut Hirtes
// This file is a free extension of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_GUI_RADIOBUTTON_H_INCLUDED__
#define __C_GUI_RADIOBUTTON_H_INCLUDED__

#include "IrrCompileConfig.h"
#ifdef _IRR_COMPILE_WITH_GUI_

#include "IGUIRadioButton.h"
#include "CGUICheckBox.h"

namespace irr
{
namespace gui
{

	class CGUIRadioButton : public CGUICheckBox
	{
	public:

		//! constructor
		CGUIRadioButton(IGUIEnvironment* environment, IGUIElement* parent, core::rect<s32> rectangle, s32 id=-1);

		//! called if an event happened.
		virtual bool OnEvent(const SEvent& event);

		//! draws the element and its children
		virtual void draw();

	};

} // end namespace gui
} // end namespace irr

#endif // __C_GUI_RADIOBUTTON_H_INCLUDED__

#endif // _IRR_COMPILE_WITH_GUI_
