// Copyright (C) 2011 Helmut Hirtes
// This file is a free extension of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __I_RADIOBUTTON_H_INCLUDED__
#define __I_RADIOBUTTON_H_INCLUDED__

#include "IGUICheckBox.h"

namespace irr
{
namespace gui
{

	//! GUI Check box interface.
	class IGUIRadioButton : public IGUICheckBox
	{
	public:

		//! constructor
		IGUIRadioButton(IGUIEnvironment* environment, IGUIElement* parent, core::rect<s32> rectangle, s32 id=-1)
			: IGUICheckBox(environment, parent, id, rectangle) {}

	};

} // end namespace gui
} // end namespace irr

#endif

